Integrations

Endpoints related to integrations.

GET /paperless-managed-integration/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.

POST /paperless-managed-integration/
Status Codes:
  • 201 Created – Resource created successfully

  • 400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.

Response Headers:
  • Location – URI of the created resource

GET /paperless-managed-integration/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.

PUT /paperless-managed-integration/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /paperless-managed-integration/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /msnav-import/workflow/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /msnav-import/workflow/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /msnav-import/workflow/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /msnav-import/workflow/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /msnav-import/workflow/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /msnav-import/msnav-workflow-to-workflow/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /msnav-import/msnav-workflow-to-workflow/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /msnav-import/msnav-workflow-to-workflow/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /msnav-import/msnav-workflow-to-workflow/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /msnav-import/msnav-workflow-to-workflow/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /msnav-import/file/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 401 Unauthorized – no-model-rights: You do not have any rights on this model

  • 404 Not Found – The requested msnav file cannot be found.

POST /msnav-import/file/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /msnav-import/file/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /msnav-import/file/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /msnav-import/file/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /digifabster-managed-integration/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /digifabster-managed-integration/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /digifabster-managed-integration/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /digifabster-managed-integration/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /digifabster-managed-integration/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /msnav-import/file-to-order/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /msnav-import/file-to-order/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /msnav-import/file-to-order/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /msnav-import/file-to-order/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /msnav-import/file-to-order/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes: